Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface DiagnosticListener

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @Deprecated(since="11",
                forRemoval=true)
    @FunctionalInterface
    public interface DiagnosticListener

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
Interface for receiving diagnostics from Nashorn parser.

Since:
  9

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `report​(Diagnostic diagnostic)` | Deprecated, for removal: This API element is subject to removal in a future version. Invoked whenever a parsing problem is found.

## Method Details

### report

void report​(Diagnostic diagnostic)
Deprecated, for removal: This API element is subject to removal in a future version.
Invoked whenever a parsing problem is found.

Parameters:
  `diagnostic` - additional information errors, warnings detected during parsing.